[SCM] pysoundfile/master: Note on how to properly clone the packaging repo

umlaeute at users.alioth.debian.org umlaeute at users.alioth.debian.org
Wed Nov 30 23:06:10 UTC 2016


The following commit has been merged in the master branch:
commit fbad5c0df499f8872bd761f2083488aa4edfaf95
Author: IOhannes m zmölnig <zmoelnig at umlautQ.umlaeute.mur.at>
Date:   Wed Nov 30 23:50:02 2016 +0100

    Note on how to properly clone the packaging repo

diff --git a/debian/README.source b/debian/README.source
index 024a331..10fb31e 100644
--- a/debian/README.source
+++ b/debian/README.source
@@ -1,18 +1,38 @@
+gbp clone
+---------
 
-git-tuneclone.sh
-----------------
-
-This package comes with a script 'debian/git-tuneclone.sh'.
-Running it after a fresh clone of the packaging repository
-will fine-tune your local copy, namely:
+Starting with gbp>0.8.1, here's an simple way to automatically fine-tune the
+repository in the following ways:
 - make git ignore any .pc/ directory (created by quilt)
-- enable the "-follow-tags" when running 'git-push', so it's harder
+- enable the "--follow-tags" when running 'git-push', so it's harder
   to forget to push packaging tags along with the branches.
-- do an initial checkout of the 3 packaging branches (master, pristine-tar,
-  upstream)
-The script only needs to run once (though running it multiple times shouldn't
-matter).
-You are of course free to *not* run the script, if you prefer.
 
- -- IOhannes m zmölnig (Debian/GNU) <umlaeute at debian.org>  Tue, 11 Nov 2015 11:11:03 +0100
+To enable this for ALL repositories cloned via 'gbp' (in the future), do
+something like the following:
+
+~~~
+$ mkdir -p ~/bin
+$ cat >> ~/bin/gbphook-postclone <<EOF
+#!/bin/sh
+## script to initialize a cloned repository
+
+# - enable the "--follow-tags" mode for pushing
+echo "tuning git-repository for ${NAME}"
+git config push.followTags true && echo "enabled push.followTags"
+
+# - ignore quilt's .pc/ directory
+GITEXCLUDE=".git/info/exclude"
+egrep "^/?\.pc/?$" "${GITEXCLUDE}" >/dev/null 2>&1 \
+  || (echo "/.pc/" >> "${GITEXCLUDE}" && echo "ignoring /.pc/")
+EOF
+
+$ chmod u+x ~/bin/gbphook-postclone
+$ cat >> ~/.gbp.conf <<EOF
+[clone]
+postclone = ~/bin/gbphook-postclone
+EOF
+
+$ gbp clone ...
+~~~
 
+ -- IOhannes m zmölnig (Debian/GNU) <umlaeute at debian.org>  Mon, 1 Aug 2016 12:15:50 +0200

-- 
pysoundfile packaging



More information about the pkg-multimedia-commits mailing list